Skip to main content

Delete Realm Role

Existing Realm roles can be deleted using this API.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

NameValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/role/{rolename}

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_role/{roleName}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameters fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Role deleted successfully",
"status": "OK",
"subSystem": 1
}

Response Status Information​

Status CodeStatusMessage
200OKRole deleted successfully
401UnauthorizedHTTP 401 Unauthorized
404NOT_FOUNDROLE_NOT_FOUND